#include "delaunay.h"
#include "iostream"

int main(int argc, char const *argv[])
{
	std::vector<vertex2dc> points(10);
	points[0].set(-0.7, -0.3, 0);
	points[1].set(0.1, -0.4, 1);
	points[2].set(-0.1, -0.1, 2);
	points[3].set(-0.4, 0.0, 3);
	points[4].set(-0.4, -0.3, 4);
	points[5].set(-0.2, -0.1, 5);
	points[6].set(-0.2, -0.6, 6);
	points[7].set(-0.2, -0.4, 7);
	points[8].set(-0.5, -0.5, 8);
	points[9].set(-0.6, -0.2, 9);

	std::vector<triangle> elements;
	triangulation(points, elements);

	std::cout << "OFF\n";
	std::cout << points.size() << " " << elements.size() << " 0\n";

	for (int i = 0; i < points.size(); ++i)
	{
		std::cout << points[i].x << " " << points[i].y << " 0\n";
	}

	for (int i = 0; i < elements.size(); ++i)
	{
		std::cout << "3 " << elements[i].vert[0]->id << " " << elements[i].vert[1]->id << " " << elements[i].vert[2]->id << std::endl;
	}
	return 0;
}


